/********************************************************************
Autor/en		:	T. Vandrey
Datum			:
Version			:	1
Datei			:	
Dateifunktion	:	

Kurzbeschreibung:
n.A.
********************************************************************/

#pragma once
#define _CRT_SECURE_NO_WARNINGS					// Keine Fehlermeldung bei Nichtnutzung von scanf_s(), etc.

//===[ Einzubindende Bibliotheken ]===================================================================================================
#include <stdlib.h>			// Standard Lib
#include <stdio.h>			// Standard Input/Output
#include <stdarg.h>			// Funktionen fr main()- function- Argumente
#include <string.h>			// String- Funktionen
#include <math.h>			// Mathematische Funktionen
#include <windows.h>		// Windowsspezifische Funktionen (z.B. System(), Sleep(), etc.)
#include <conio.h>			// Advanced Input/Output
#include <time.h>			// Fr (Pseudo-)Zufallszahlen, Zeiten kontrollieren, etc.		--> Zur Nutzung am Anfang der main()- Funktion einmal "srand((unsigned)time(NULL));" aufrufen
#include <string>			// Fr das Verwalten von Strings
#include <sstream>			// Fr das Verwalten von Strings (C++)
#include <iostream>

// ???
#include <assert.h>	// Fr Assertion's 
#include <ctype.h>
#include <errno.h>
#include <float.h>
#include <limits.h>
#include <locale.h>
#include <ResourceIndexer.h>
#include <wincon.h>

//Qt- Bibliotheken
#include <QtWidgets/QMainWindow>
#include <QClipboard>
#include <QWindow>

#include "ui_LaTeX_Messpunkteingabe_GUI.h"
#include "ui_settings_window.h"
#include "settings_window.h"

//===[ Symbolische Konstanten ]=======================================================================================================

#define PI 3.14159265358979						// Pee
#define E 2.718281828459045						// Euler'sche Zahl
#define CONSOLE_HEIGHT 25						// Konsolenhhe Standard: 25
#define CONSOLE_WIDTH 80						// Konsolenbreite Standard: 80

#define MAX_MEASUREMENTS 100					// Maximale Anzahl an Messwerten/-punkten
#define STD_STRLEN 50							// Hier Standardlnge fr Strings (fr die Labels/Bezeichnungen der Tabelle)

#define FILENAME_FORM_DATA "vle_user_data.txt"				// Name fr Datei (formatierte Daten) // Variabel
#define FILENAME_BIN_DATA "vle_bin_data.dat"				// Name fr Datei (gespeicherte Daten) // Variabel // Datenpunkte- und werte
#define FILENAME_SET_CONFIG "vle_bin_config.dat"			// Name fr Datei (Gespeicherte Einstellungen)
#define FILENAME_LATEX_CODE "vle_latex_code.txt"			// Name fr Datei (LaTeX- Code)
#define FOLDERNAME "VLE - Eingegebene Daten"				// Name fr den Ordner, in dem die Dateien abgespeichert werden

//===[ Enumerationen, Typdefinitionen, etc. ]=========================================================================================

enum { decpts_both, decpts_dataval_only, decpts_datapts_only, decpts_none };	// Enumeration fr decpts_status- Einstellung

typedef struct paireddata datenpaar;